{
	"artifacts" : 
	[
		{
			"path" : "app/app"
		}
	],
	"backtrace" : 4,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"_qt_internal_create_executable",
			"qt6_add_executable",
			"qt_add_executable",
			"target_link_libraries",
			"add_compile_definitions",
			"project",
			"include_directories"
		],
		"files" : 
		[
			"/home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake",
			"app/CMakeLists.txt",
			".qtcreator/cmake-helper/qtcreator-project.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 10,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 1014,
				"parent" : 1
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 673,
				"parent" : 2
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 749,
				"parent" : 3
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 30,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 674,
				"parent" : 2
			},
			{
				"file" : 3
			},
			{
				"command" : 6,
				"file" : 3,
				"line" : 2,
				"parent" : 7
			},
			{
				"file" : 2,
				"parent" : 8
			},
			{
				"command" : 5,
				"file" : 2,
				"line" : 81,
				"parent" : 9
			},
			{
				"command" : 7,
				"file" : 3,
				"line" : 15,
				"parent" : 7
			},
			{
				"command" : 7,
				"file" : 1,
				"line" : 7,
				"parent" : 0
			}
		]
	},
	"codemodelVersion" : 
	{
		"major" : 2,
		"minor" : 10
	},
	"compileDependencies" : 
	[
		{
			"backtrace" : 6,
			"id" : "Qt6::Core::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 5,
			"id" : "app_lib::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 5,
			"id" : "ctrl_algo::@b89a50b1d9b6a3589dde"
		},
		{
			"backtrace" : 5,
			"id" : "Qt6::Core::@6890427a1f51a3e7e1df"
		}
	],
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++17 -fPIE -fdiagnostics-color=always"
				},
				{
					"backtrace" : 6,
					"fragment" : "-fPIC"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 6,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 10,
					"define" : "QT_QML_DEBUG"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/include"
				},
				{
					"backtrace" : 11,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app"
				},
				{
					"backtrace" : 12,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller"
				},
				{
					"backtrace" : 5,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/include"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "/home/k4/Qt/6.10.2/gcc_64/include/QtCore"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "/home/k4/Qt/6.10.2/gcc_64/include"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "/home/k4/Qt/6.10.2/gcc_64/mkspecs/linux-g++"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					6,
					6
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 5,
			"id" : "app_lib::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 5,
			"id" : "ctrl_algo::@b89a50b1d9b6a3589dde"
		},
		{
			"id" : "app_autogen_timestamp_deps::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 0,
			"id" : "app_autogen::@5f5a17c01335469806cb"
		}
	],
	"id" : "app::@5f5a17c01335469806cb",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "-Wl,-rpath,/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller:/home/k4/Qt/6.10.2/gcc_64/lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "app/libapp_lib.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "controller/libctrl_algo.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "/home/k4/Qt/6.10.2/gcc_64/lib/libQt6Core.so.6.10.2",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"linkLibraries" : 
	[
		{
			"backtrace" : 6,
			"id" : "Qt6::Core::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 5,
			"id" : "app_lib::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 5,
			"id" : "ctrl_algo::@b89a50b1d9b6a3589dde"
		},
		{
			"backtrace" : 5,
			"id" : "Qt6::Core::@6890427a1f51a3e7e1df"
		}
	],
	"name" : "app",
	"nameOnDisk" : "app",
	"orderDependencies" : 
	[
		{
			"id" : "Qt6::moc::@6890427a1f51a3e7e1df"
		},
		{
			"id" : "app_autogen_timestamp_deps::@5f5a17c01335469806cb"
		},
		{
			"backtrace" : 0,
			"id" : "app_autogen::@5f5a17c01335469806cb"
		}
	],
	"paths" : 
	{
		"build" : "app",
		"source" : "app"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files\\Generated",
			"sourceIndexes" : 
			[
				0,
				2
			]
		},
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				1
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				3
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "app/app_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "app/main.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/app_autogen/timestamp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "app/app_autogen/timestamp.rule",
			"sourceGroupIndex" : 2
		}
	],
	"type" : "EXECUTABLE"
}
